/* 
 *  tincas_lib.mm : tincas interface
 *  Masato ISHIKAWA, Tokyo Institute of Technology
 *  modified by t-kita@eecs.kumamoto-u.ac.jp
 *
 */

#define MAXPOINTS 64
#define DEFAULT_FG "white"
#define DEFAULT_BG "black"
#define LEFTMARGIN 2
#define TOPMARGIN 2

// t-kita
#define AUTO_CLEAR_INTERVAL_DEFAULT 5000
Matrix _canvas_size, _xyrange, _mes_xyrange;
Integer auto_clear_interval;

Integer open_canvas(...);
void close_canvas();
void line(...);
void pset(...);
void polygon(...);
void box(...);
void arc(...);
void circle(...);
void circle_d(...);
void ellipse(...);
void ellipse_d(...);
void text(...);

/*  some additions by t-kita@eecs.kumamoto-u.ac.jp */
void set_canvas_xyrange();
Matrix get_canvas_xyrange();
Matrix adjust_xyrange();
void clear_canvas();
void set_tincas_title();
void set_tincas_update_interval();
Matrix gxy();
void use_mouse();
